Package org.eclipse.net4j.util.concurrent

# Class SynchronousWorkSerializer

java.lang.Object
org.eclipse.net4j.util.concurrent.SynchronousWorkSerializer

All Implemented Interfaces:
  `IWorkSerializer`

@Deprecated public class SynchronousWorkSerializer extends Object implements IWorkSerializer
Deprecated.
As of 3.9 use an executor such as `SynchronousExecutor`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`SynchronousWorkSerializer()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addWork(Runnable work)`
Deprecated.
`void`
`dispose()`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SynchronousWorkSerializer

@Deprecated public SynchronousWorkSerializer()
Deprecated.

## Method Details

### addWork

@Deprecated public boolean addWork(Runnable work)
Deprecated.

Specified by:
  `addWork` in interface `IWorkSerializer`

### dispose

@Deprecated public void dispose()
Deprecated.

Specified by:
  `dispose` in interface `IWorkSerializer`

### toString

@Deprecated public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`